Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members Related Pages

# ACE_Map_Entry Class Template Reference

An entry in the Map. More...

`#include <Map_Manager.h>`

List of all members.

## Public Methods
| ~ACE_Map_Entry (void)
| We need this destructor to keep some compilers from complaining. It's just a no-op, however.
void | dump (void) const
| Dump the state of an object.
ACE_UINT32 | next (void) const
| Get/Set next entry.
void | next (ACE_UINT32 n)
ACE_UINT32 | prev (void) const
| Get/Set prev entry.
void | prev (ACE_UINT32 p)
## Public Attributes
EXT_ID | ext_id_
| Key used to look up an entry.
INT_ID | int_id_
| The contents of the entry itself.
| ACE_ALLOC_HOOK_DECLARE
| Declare the dynamic allocation hooks.
ACE_UINT32 | next_
| Keeps track of the next entry.
ACE_UINT32 | prev_
| Keeps track of the previous entry.

## Detailed Description

### template<class EXT_ID, class INT_ID> template class ACE_Map_Entry

An entry in the Map.

## Constructor & Destructor Documentation

template<classEXT_ID, classINT_ID>
ACE_INLINE ACE_Map_Entry< EXT_ID,INT_ID >::~ACE_Map_Entry<EXT_ID, INT_ID> ( | void )

| We need this destructor to keep some compilers from complaining. It's just a no-op, however.

## Member Function Documentation

template<classEXT_ID, classINT_ID>
void ACE_Map_Entry<EXT_ID, INT_ID>::dump ( | void ) const

| Dump the state of an object.

template<classEXT_ID, classINT_ID>
ACE_INLINE void ACE_Map_Entry< EXT_ID,INT_ID >::next ( | ACE_UINT32 n )

template<classEXT_ID, classINT_ID>
ACE_INLINE ACE_UINT32 ACE_Map_Entry< EXT_ID,INT_ID >::next ( | void ) const

| Get/Set next entry.

template<classEXT_ID, classINT_ID>
ACE_INLINE void ACE_Map_Entry< EXT_ID,INT_ID >::prev ( | ACE_UINT32 p )

template<classEXT_ID, classINT_ID>
ACE_INLINE ACE_UINT32 ACE_Map_Entry< EXT_ID,INT_ID >::prev ( | void ) const

| Get/Set prev entry.

## Member Data Documentation

template<classEXT_ID, classINT_ID>
ACE_Map_Entry<EXT_ID, INT_ID>::ACE_ALLOC_HOOK_DECLARE

| Declare the dynamic allocation hooks.

template<classEXT_ID, classINT_ID>
EXT_ID ACE_Map_Entry<EXT_ID, INT_ID>::ext_id_

| Key used to look up an entry.

template<classEXT_ID, classINT_ID>
INT_ID ACE_Map_Entry<EXT_ID, INT_ID>::int_id_

| The contents of the entry itself.

template<classEXT_ID, classINT_ID>
ACE_UINT32 ACE_Map_Entry<EXT_ID, INT_ID>::next_

| Keeps track of the next entry.

template<classEXT_ID, classINT_ID>
ACE_UINT32 ACE_Map_Entry<EXT_ID, INT_ID>::prev_

| Keeps track of the previous entry.

The documentation for this class was generated from the following files:

- Map_Manager.h
- Map_Manager.cpp
- Map_Manager.i